curl --request GET \
--url https://api.synctera.com/v2/synctera_pay/configurations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/synctera_pay/configurations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/synctera_pay/configurations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"details": {
"currency": "<string>",
"external_payment_rail": "INTERAC",
"settlement_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settlement_account_type": "INTERNAL_ACCOUNT",
"subtypes": [
"OUTGOING_INTERNATIONAL_REMITTANCE"
],
"domestic": true
},
"name": "International Remittance",
"rules": {
"enforce_payee": true,
"hold_time": 123,
"payee_account_required": true,
"peer_to_peer": true,
"required_details": [
"exchange_details"
]
},
"tenant": "abcdef_ghijkl",
"description": "This configuration is used for international remittance",
"enabled": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Get Outgoing Synctera Pay Configurations
Get all Outgoing Synctera Pay configurations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Retrieve all Outgoing Synctera Pay configurations
The details of an outgoing Synctera Pay configuration. This is used to match the Synctera Pay configuration to a Synctera Pay transfer.
Show child attributes
Show child attributes
"International Remittance"
The rules of an outgoing Synctera Pay configuration. This is used when processing a Synctera Pay transfer.
Show child attributes
Show child attributes
The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
"abcdef_ghijkl"
"This configuration is used for international remittance"
Whether or not the configuration is enabled. If the configuration is not enabled, it will not be used when creating an Outgoing Synctera Pay transfer.
The ID of the Outgoing Synctera Pay configuration
Was this page helpful?

